# gdcm::DataSetHelper Class Reference

DataSetHelper (internal class, not intended for user level). More...

`#include <gdcmDataSetHelper.h>`

List of all members.

## Static Public Member Functions
static VR | ComputeVR (File const &file, DataSet const &ds, const Tag &tag)

## Detailed Description

DataSetHelper (internal class, not intended for user level).

## Member Function Documentation

static VR gdcm::DataSetHelper::ComputeVR | ( | File const & | file,
|  | DataSet const & | ds,
|  | const Tag & | tag |
| ) |  |  | `[static]`

ds -> current dataset, which is not the same as the root dataset return VR::INVALID in case of error

The documentation for this class was generated from the following file:

- gdcmDataSetHelper.h